//
//  DIYDownMenu.h
//  DIYCalendar
//
//  Created by Apple on 17/3/13.
//  Copyright © 2017年 手握日月摘星辰，世间无我这般人. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "BaseView1.h"


@class DIYDownMenu;
@protocol DIYDownMenuDelegate <NSObject>


@required

//菜单的类别
-(NSInteger)numberOfMenu:(DIYDownMenu*)menu;

//菜单名称
-(NSArray*)titleForMenu:(DIYDownMenu*)menu;

//每个菜单的数据个数
-(NSArray*)numberOfRowInMenum:(DIYDownMenu*)menu;

//选中的数据
-(void)userSelectedRow:(NSString*)selectedText;



@optional

@end

@interface DIYDownMenu : UIView

@property(strong,nonatomic) BaseView1 *firstMenu;

@property(strong,nonatomic) BaseView1 *secondMenu;

@property(strong,nonatomic) BaseView1 *thirdMenu;

@property(assign,nonatomic) id<DIYDownMenuDelegate>delegate;


-(instancetype)initWithFrame:(CGRect)frame;

-(void)reloadData;
@end
