//
//  ViewController.m
//  DIYCalendar
//
//  Created by Apple on 17/3/10.
//  Copyright © 2017年 手握日月摘星辰，世间无我这般人. All rights reserved.
//

#import "ViewController.h"
#import "ShowViewController.h"
#import "LogicDefine.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor=[UIColor greenColor];
    
    self.title=@"下拉框的封装";
    
    //创建住视图
    [self createMainView];
}


#pragma mark－－－－－－－－－－创建视图－－－－－－－－－－
-(void)createMainView
{
    
    UILabel *remindLabel=[[UILabel alloc]initWithFrame:CGRectMake(UIScreen_Width/2-150,UIScreen_Height/2-100,300,100)];
    remindLabel.text=@"手握日月摘新城，世间无我这般人";
    remindLabel.textAlignment=NSTextAlignmentCenter;
    remindLabel.font=[UIFont systemFontOfSize:18];
    remindLabel.textColor=[UIColor whiteColor];
    [self.view addSubview:remindLabel];
    
    
    UIButton *skipBtn=[UIButton buttonWithType:UIButtonTypeRoundedRect];
    skipBtn.frame=CGRectMake(UIScreen_Width/2-50,UIScreen_Height/2+100,100,40);
    [skipBtn setTitle:@"跳转" forState:UIControlStateNormal];
    [skipBtn setBackgroundColor:[UIColor redColor]];
    [skipBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    skipBtn.layer.cornerRadius=5;
    [skipBtn addTarget:self action:@selector(skipToNextVC) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:skipBtn];
}



#pragma mark－－－－－－－－－－用户交互－－－－－－－－－－
-(void)skipToNextVC
{
    ShowViewController *showController=[[ShowViewController alloc]init];
    [self.navigationController pushViewController:showController animated:YES];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
