//
//  BaseView1.h
//  DIYCalendar
//
//  Created by Apple on 17/3/13.
//  Copyright © 2017年 手握日月摘星辰，世间无我这般人. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "LogicDefine.h"

@protocol SelectedDelegate <NSObject>

-(void)sendSelectedState:(BOOL)hasSelected andTitle:(NSString*)currentTitle;

@end

@interface BaseView1 : UIView

@property(assign,nonatomic) id<SelectedDelegate>delegate;

#pragma mark－－－－－－－－－－视图
@property(strong,nonatomic) UILabel *titleLabel;

@property(strong,nonatomic) UIImageView *IndicateView;

#pragma mark－－－－－－－－－－数据
@property(assign,nonatomic) CGRect baseFrame;


@property(assign,nonatomic) BOOL hasSelected;

-(instancetype)initWithFrame:(CGRect)frame;

-(void)requestTitle:(NSString*)title;
@end
