//
//  BaseView1.m
//  DIYCalendar
//
//  Created by Apple on 17/3/13.
//  Copyright © 2017年 手握日月摘星辰，世间无我这般人. All rights reserved.
//

#import "BaseView1.h"

@interface BaseView1 ()

@end


@implementation BaseView1
-(instancetype)initWithFrame:(CGRect)frame
{
    if (self=[super initWithFrame:frame]) {
        self.baseFrame=frame;
        [self createMainView];
    }
    return self;
}

-(void)createMainView
{
    self.titleLabel=[[UILabel alloc]initWithFrame:CGRectMake(10,5,self.frame.size.width-30,self.frame.size.height-10)];
    self.titleLabel.font=[UIFont systemFontOfSize:14];
    self.titleLabel.textColor=[UIColor grayColor];
    self.titleLabel.textAlignment=NSTextAlignmentCenter;
    [self addSubview:self.titleLabel];
    
    CGFloat labelWidth=CGRectGetMaxX(self.titleLabel.frame);
    
    self.IndicateView=[[UIImageView alloc]initWithFrame:CGRectMake(labelWidth,10,20,self.frame.size.height-20)];
    self.IndicateView.image=[UIImage imageNamed:@"director.png"];
    self.IndicateView.contentMode=UIViewContentModeScaleAspectFit;
    [self addSubview:self.IndicateView];
    
    UITapGestureRecognizer *tap=[[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(selected:)];
    [self addGestureRecognizer:tap];
}

-(void)requestTitle:(NSString *)title
{
    self.titleLabel.text=title;
}




-(void)selected:(UITapGestureRecognizer*)tap
{
    self.hasSelected=!self.hasSelected;
    if (self.hasSelected) {
        [UIView animateWithDuration:0.0 animations:^{//旋转180度
            self.IndicateView.transform=CGAffineTransformMakeRotation(M_PI);
        }];
    }else{
        [UIView animateWithDuration:0.0 animations:^{//复原
            self.IndicateView.transform=CGAffineTransformIdentity;
        }];
    }
    [self.delegate sendSelectedState:self.hasSelected andTitle:self.titleLabel.text];
}


/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
